#ifndef MYHEADER_H // Include guard
#define MYHEADER_H

# include <math.h>
# include <stdio.h>
# include <stdlib.h>
# include <time.h>

# define NX 11
# define NY 11

# define pi 3.141592653589793


int main ( int argc, char *argv[] );
double r8mat_rms ( int nx, int ny, double a[NX][NY] );
void rhs ( int nx, int ny, double f[NX][NY] );
void sweep ( int nx, int ny, double dx, double dy, double f[NX][NY],
  double u[NX][NY], double unew[NX][NY] );
void timestamp ( );
double u_exact ( double x, double y );
double uxxyy_exact ( double x, double y );

#endif // MYHEADER_H
